Subject: bug#59096: 29.0.50; Fail to install org with package-vc-install

From: Philip Kaludercic <[email-masked]>
Date: Thu, 15 Dec 2022 10:11:24 +0000

Feng Shu <[email-masked]> writes:

> I install org with package-vc-install, and show error:
>
>   progn: Opening input file: 没有那个文件或目录,
>   /home/feng/.emacs.d/elpa-29/org/lisp/org.el
>
> which mean file /home/feng/.emacs.d/elpa-29/org/lisp/org.el do not exist.
>
> I check elpa dir, and find the below link:
>
>   lrwxrwxrwx  1 feng feng   55 11月  7 14:14 org -> /home/feng/.local/share/emacs/vc-packages/org-mode/lisp

We have not been using ~/.local/share/emacs/vc-packages/... since at
least

  commit d67b66f8abb72369d77bd800301eb74b8b9ad321
  Author: Philip Kaludercic <[email-masked]>
  Date:   Tue Nov 8 23:45:35 2022 +0100

      Respect :lisp-dir in package specs by loading a sub-directory

      * lisp/emacs-lisp/package-vc.el (package-vc-repository-store): Remove
      obsolete variable.
      (package-vc--unpack-1): Respect :lisp-dir.
      (package-vc--unpack): Add :lisp-dir to the package description if
      necessary.
      * lisp/emacs-lisp/package.el (package--delete-directory): Check if a
      directory is a symbolic link.

I have just installed org on my system and it didn't appear to raise any
issues.